[Date Index][Thread Index]
[Date Prev][Date Next][Thread Prev][Thread Next]

Re: Problems moving from 1.7.4 to 2.0.1 (resent)

On Mon, Jul 10, 2000 at 11:39:04AM +0200, Stephan Petersen wrote:

> > The problem is that wml::sys::bootp2 is no more shipped with WML.
> > Unfortunately, it will be loaded by wml if it exists.
> > 
> > So you have to remove this file.
> I doesn't seem to be that simple :-) When I remove the file, I get this:
> wml about.wml --include=include-2.0   -o '(ALL-LANG_*)uLANG_E:about_e.html' -o '(ALL-LANG_*)uLANG_D:about_d.html'
> ePerl:Error: Perl runtime error (interpreter rc=1)
> ---- Contents of STDERR channel: ---------
> ** wml::des::ttfont:
> ------------------------------------------
> ** WML:Break: Error in Pass 3 (rc=74).
> make: *** [about_e.html] Error 1
> Right now it only works with the file bootp2.wml present.

I checked with wml-2.0.1 and the wml::des::ttfont package provided by
Remco van den Berg, and i can reproduce your problem only when webbutton
is not in the path.

A simple example works fine with wml-2.0.1 and above, but i had to
include wml::sys::compat1 because wml::des::ttfont is for WML1.x only.

In fact, wml::sys::bootp2 was introduced in 1.99.0, and has been renamed
into wml::sys::compat1 (there is a note in ChangeLog on 27-Mar-2000), 
So i suggest you to reinstall wml from scratch (either 2.0.2 or SNAP)
after removing ...prefix/lib/wml

Denis Barbier
WML Maintainer
Website META Language (WML)                www.engelschall.com/sw/wml/
Official Support Mailing List                   sw-wml@engelschall.com
Automated List Manager                       majordomo@engelschall.com